QGIS Application - Bug report #8423
QGIS interface stops updating
2013-08-08 12:38 AM - Jonathan Moules

Status: Closed

Priority: Low

Assignee:

Category: GUI

Affected QGIS version:master Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: not reproducable
Crashes QGIS or corrupls data: Copied to github as #: 17192
Description

QGIS weekly a13cdf8 - windows 7 x64

See the attached screenshots. When | resize QGIS, or change the window layer (i.e., open the log messages) it mangles the interface
which stops rendering.

This only seems to happen when there is a reasonably large dataset loaded. l.e. a 20MB shapefile (image 4), or a several hundred MB
Spatial.ite database.

History

#1 - 2013-08-08 11:25 AM - Giovanni Manghi
- Operating System set to Windows

- File resize.mp4 added

- File toolbars.mp4 added

- Category set to GUI

- Priority changed from Normal to Low

| have seen it too but just on Windows and in a less severe way (see attached screencast), maybe this a video drivers issue after all.

#2 - 2013-08-09 04:19 AM - Jonathan Moules

The graphics card is two "NVIDIA NVS 310".
Driver: NVIDIA Version 311.35

I've not seen this with any other application on this machine.

#3 - 2013-08-09 04:20 AM - Nathan Woodrow

This seems to be a Qt thing on some Windows machines. | get it here too.

#4 - 2013-09-26 08:53 AM - Jonathan Moules
- File Clipboard01.jpg added

Possibly the same issue, but in 2.0.1, every time | make the processing toolbox less wide, the window fails to update properly and | get a grey bar in the
map window where the processing box was before.

#5 - 2016-10-10 05:05 PM - Nyall Dawson
- Status changed from Open to Feedback

Is this still an issue with current supported releases?

#6 - 2017-01-02 06:11 AM - Giovanni Manghi
- Resolution set to not reproducable
- Status changed from Feedback to Closed

Closing for lack of feedback, please reopen if necessary.

Files

Clipboard01.png
Clipboard02.png
Clipboard03.png
Clipboard04.png
resize.mp4
toolbars.mp4
Clipboard01.jpg

2025-04-27

67.1 KB
132 KB
91.6 KB
125 KB
1.76 MB
1.74 MB
96.7 KB

2013-08-07
2013-08-07
2013-08-07
2013-08-07
2013-08-08
2013-08-08
2013-09-26

Jonathan Moules
Jonathan Moules
Jonathan Moules
Jonathan Moules
Giovanni Manghi
Giovanni Manghi
Jonathan Moules

22



